package com.bocloud.cmp.model.azure.db;

import java.util.Date;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: AzureDatabaseServerLogModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/2/4 14:46
 */
public class AzureDatabaseServerLogModel {

    private String uuid;
    private String name;
    private String type;
    private Integer logSize;//日志文件的大小。
    private Date logCreatedTime;//日志文件的创建时间戳。
    private Date logLastModifiedTime;//日志文件的上次修改时间戳。
    private String logType;//日志文件的类型
    private String logUrl;//要从中下载日志文件的 url。
    private String databaseServerUuid;

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getLogSize() {
        return logSize;
    }

    public void setLogSize(Integer logSize) {
        this.logSize = logSize;
    }

    public Date getLogCreatedTime() {
        return logCreatedTime;
    }

    public void setLogCreatedTime(Date logCreatedTime) {
        this.logCreatedTime = logCreatedTime;
    }

    public Date getLogLastModifiedTime() {
        return logLastModifiedTime;
    }

    public void setLogLastModifiedTime(Date logLastModifiedTime) {
        this.logLastModifiedTime = logLastModifiedTime;
    }

    public String getLogType() {
        return logType;
    }

    public void setLogType(String logType) {
        this.logType = logType;
    }

    public String getLogUrl() {
        return logUrl;
    }

    public void setLogUrl(String logUrl) {
        this.logUrl = logUrl;
    }

    public String getDatabaseServerUuid() {
        return databaseServerUuid;
    }

    public void setDatabaseServerUuid(String databaseServerUuid) {
        this.databaseServerUuid = databaseServerUuid;
    }
}